HASHALOT(1)

NAME
hashalot - read a passphrase and print a hash

SYNOPSIS
hashalot [ -s SALT ] [ -x ] [ -n #BYTES ] HASHTYPE
HASHTYPE [ -s SALT ] [ -x ] [ -n #BYTES ]

DESCRIPTION

hashalot is a small tool that reads a passphrase from standard input, hashes it using the given hash type, and prints the result to standard output.

Supported values for HASHTYPE:
    ripemd160 rmd160 rmd160compat sha256 sha384 sha512

OPTIONS
The option -s SALT specifies an initialization vector to the hashing algorithm. You need this if you want to prevent identical passwords to map to identical hashes, which is a security risk.

If the -x option is given then the hash will be printed as a string of hexadecimal digits.

The -n option can be used to limit (or increase) the number of bytes output. The default is as appropriate for the specified hash algorithm: 20 bytes for RIPEMD160, 32 bytes for SHA256, etc. The default for the "rmd160compat" hash is 16 bytes, for compatibility with the old kerneli.org utilities.

AUTHOR
Ben Slusky <sluskyb@paranoiacs.org>

This manual page was written by Matthias Urlichs <smurf@debian.org>.